"use strict";
const common_vendor = require("../../../common/vendor.js");
const INDEX_archive_houses_model = require("../model.js");
const INDEX_archive_houses_method = require("../method.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_popup2 = common_vendor.resolveComponent("hs-popup");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  const _easycom_hs_popup_custom2 = common_vendor.resolveComponent("hs-popup-custom");
  (_easycom_uni_icons2 + _easycom_hs_popup2 + _easycom_hs_button2 + _easycom_hs_popup_custom2)();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_popup = () => "../../../components/hs-popup/hs-popup.js";
const _easycom_hs_button = () => "../../../components/hs-button/hs-button.js";
const _easycom_hs_popup_custom = () => "../../../components/hs-popup-custom/hs-popup-custom.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_popup + _easycom_hs_button + _easycom_hs_popup_custom)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "CreateHousehold",
  setup(__props) {
    const show = common_vendor.ref(false);
    const terminatedShow = common_vendor.ref(false);
    const add_resident = () => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i;
      let key = `&id=${(_d = (_c = (_b = (_a = INDEX_archive_houses_model.useModel) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.house_relation) == null ? void 0 : _d.asset_houses_id}&houseName=${(_i = (_h = (_g = (_f = (_e = INDEX_archive_houses_model.useModel) == null ? void 0 : _e.showData) == null ? void 0 : _f.value) == null ? void 0 : _g.house_relation) == null ? void 0 : _h.asset_house) == null ? void 0 : _i.full_name}`;
      common_vendor.index.navigateTo({
        url: `/INDEX/binding/index?source=house_detail${key}`
      });
    };
    common_vendor.onHide(() => {
      show.value = false;
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v;
      return common_vendor.e({
        a: ((_d = (_c = (_b = (_a = common_vendor.unref(INDEX_archive_houses_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.house_relation) == null ? void 0 : _d.house_relation) === "NonOwner"
      }, ((_h = (_g = (_f = (_e = common_vendor.unref(INDEX_archive_houses_model.useModel)) == null ? void 0 : _e.showData) == null ? void 0 : _f.value) == null ? void 0 : _g.house_relation) == null ? void 0 : _h.house_relation) === "NonOwner" ? {
        b: common_vendor.o(($event) => terminatedShow.value = true)
      } : {}, {
        c: ((_l = (_k = (_j = (_i = common_vendor.unref(INDEX_archive_houses_model.useModel)) == null ? void 0 : _i.showData) == null ? void 0 : _j.value) == null ? void 0 : _k.house_relation) == null ? void 0 : _l.house_relation) === "Owner"
      }, ((_p = (_o = (_n = (_m = common_vendor.unref(INDEX_archive_houses_model.useModel)) == null ? void 0 : _m.showData) == null ? void 0 : _n.value) == null ? void 0 : _o.house_relation) == null ? void 0 : _p.house_relation) === "Owner" ? {
        d: common_vendor.p({
          type: "plusempty",
          color: "#999",
          size: "15"
        }),
        e: common_vendor.o(($event) => show.value = true)
      } : {}, {
        f: common_vendor.p({
          type: "personadd-filled",
          size: "30",
          color: "#2A7EFB"
        }),
        g: common_vendor.o(add_resident),
        h: common_vendor.p({
          type: "weixin",
          size: "30",
          color: "#28C445"
        }),
        i: common_vendor.o(($event) => show.value = false),
        j: common_vendor.p({
          show: show.value,
          mode: "bottom",
          closeable: true,
          round: 20
        }),
        k: common_vendor.t(((_u = (_t = (_s = (_r = (_q = common_vendor.unref(INDEX_archive_houses_model.useModel)) == null ? void 0 : _q.showData) == null ? void 0 : _r.value) == null ? void 0 : _s.house_relation) == null ? void 0 : _t.asset_house) == null ? void 0 : _u.full_name) || ""),
        l: common_vendor.o((_v = common_vendor.unref(INDEX_archive_houses_method.method)) == null ? void 0 : _v.handleUnbind),
        m: common_vendor.p({
          label: "确定解除",
          size: "md",
          type: "primary"
        }),
        n: common_vendor.o(($event) => terminatedShow.value = false),
        o: common_vendor.o(($event) => terminatedShow.value = false),
        p: common_vendor.p({
          show: terminatedShow.value,
          mode: "center",
          closeable: true,
          title: "再次确认",
          round: 15
        })
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-cae9deb6"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/archive_houses/components/CreateHousehold.vue"]]);
wx.createComponent(Component);
